accumulo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher <ctubb...@apache.org>
Subject Re: Accumulo-1.6 - Build # 931 - Still Failing
Date Tue, 05 Jan 2016 22:33:23 GMT
Fixed in 288a2e108e1a3a3f0cd3bb083c77c56bec97bf08

On Fri, Jan 1, 2016 at 9:36 PM Josh Elser <josh.elser@gmail.com> wrote:

> Doesn't seem like pulling back the plugin version worked. Will have to look
> into this more later.
> On Dec 31, 2015 1:24 AM, "Josh Elser" <josh.elser@gmail.com> wrote:
>
> >
> >
> https://git1-us-west.apache.org/repos/asf?p=accumulo.git;a=commit;h=401350f08807a7544d31e42ce6cc297ab45df8f4
> >
> > Josh Elser wrote:
> >
> >> Ah! This came in via ACCUMULO-4089 that Christopher did.
> >>
> >> I will make the change.
> >>
> >> Josh Elser wrote:
> >>
> >>> Oh, is because we're actually using JDK6, whereas most of us are just
> >>> using JDK7 or 8 but a target of 6? That would jive with what I'm
> seeing,
> >>> I think.
> >>>
> >>> Christopher wrote:
> >>>
> >>>> Dropping it to 2.13 in the 1.6 branch should fix it if that's the
> case.
> >>>>
> >>>> On Tue, Dec 29, 2015, 10:57 Keith Turner<keith@deenlo.com> wrote:
> >>>>
> >>>> On Mon, Dec 28, 2015 at 3:39 PM, Josh Elser<josh.elser@gmail.com>
> >>>>> wrote:
> >>>>>
> >>>>> Was looking at this failure and saw:
> >>>>>>
> >>>>>> [ERROR] Failed to execute goal
> >>>>>> org.apache.maven.plugins:maven-checkstyle-plugin:2.15:check
> >>>>>> (check-style)
> >>>>>> on project accumulo-project: Execution check-style of goal
> >>>>>> org.apache.maven.plugins:maven-checkstyle-plugin:2.15:check
failed:
> An
> >>>>>>
> >>>>> API
> >>>>>
> >>>>>> incompatibility was encountered while executing
> >>>>>> org.apache.maven.plugins:maven-checkstyle-plugin:2.15:check:
> >>>>>> java.lang.UnsupportedClassVersionError:
> >>>>>> com/puppycrawl/tools/checkstyle/api/CheckstyleException :
> Unsupported
> >>>>>> major.minor version 51.0
> >>>>>>
> >>>>>> This is 1.6, so we're still using JDK1.6. So, that means that
> >>>>>> maven-checkstyle-plugin 2.15 was built with JDK1.7 and is
> >>>>>> incompatible? I
> >>>>>> wonder why we're only seeing this on the build server...
> >>>>>>
> >>>>>
> >>>>> Maybe the build server is actually using JDK 1.6 to build. I suspect
> >>>>> most
> >>>>> developers are using JDK 1.7 or 1.8 to build.
> >>>>>
> >>>>>
> >>>>>
> >>>>>> -------- Original Message --------
> >>>>>> Subject: Accumulo-1.6 - Build # 931 - Still Failing
> >>>>>> Date: Mon, 28 Dec 2015 20:11:54 +0000 (UTC)
> >>>>>> From: Apache Jenkins Server<jenkins@builds.apache.org>
> >>>>>> Reply-To: jira@apache.org
> >>>>>> To: notifications@accumulo.apache.org
> >>>>>>
> >>>>>> The Apache Jenkins build system has built Accumulo-1.6 (build
#931)
> >>>>>>
> >>>>>> Status: Still Failing
> >>>>>>
> >>>>>> Check console output at
> >>>>>> https://builds.apache.org/job/Accumulo-1.6/931/
> >>>>>> to view the results.
> >>>>>>
> >>>>>>
> >>>>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message